¿Cómo forzar que solo se instalen nuevos paquetes de KDE?

Ejecutando la versión “xenial” (Ubuntu 16.04) y tenía curiosidad por instalar la versión más reciente de KDE Plasma 5.10 desde el repository de la versión “bionic”.

Añadido a sources.list:

deb http://archive.ubuntu.com/ubuntu bionic main universe multiverse 

Se agregó lo siguiente a preferences.d para no permitir que los paquetes “biónicos” se instalen de forma predeterminada en apt-get dist-upgrade :

 Package: ** Pin: release n=bionic* Pin-Priority: 50 

¿Cómo actualizo solo los paquetes de KDE? Ejecutar apt-get install -t bionic plasma-desktop me muestra la actualización de solo algunos paquetes, no todos basados ​​en KDE.

En general, es una mala idea mezclar repositorys. El paquete KDE para bionic podría incluir versiones de paquetes que son incompatibles con versiones anteriores de Ubuntu. Los paquetes se comstackrán contra las bibliotecas disponibles en 18.04 y no necesariamente en versiones anteriores.

Si desea probar versiones más recientes de KDE y mantener un sistema estable, puede instalar KDE desde el repository de backports de KDE o probar KON neon (aunque este último no es compatible con este sitio).

Si desea instalar una versión más reciente de KDE, siempre es mejor encontrar paquetes específicamente diseñados para su versión, “xenial” (16.04) en su caso. Estos están disponibles en los repositorys de KDE Neon.

¿ Ver cómo instalar KDE Plasma 5.11 en Ubuntu 16.04 (Kubuntu 16.04)? pregunta.